| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.client.GroupResult Class Reference

Provides a list of child Group objects that match the search parameters of the ClientService.getGroupsByName method. More...

## Public Member Functions
List< Group > | getGroups ()
| Returns a list of Group objects that provide the group IDs. More...
void | setGroups (List< Group > groups)
| Client applications should not call this method. More...
boolean | getMoreResultsAvailable ()
| Indicates whether more results are available than could be returned for this request. More...
void | setMoreResultsAvailable (boolean moreResultsAvailable)
| Client applications should not call this method. More...
Context | getContext ()
| Returns a context object that provides the starting index for the next set of results in the case of multiple pages of results. More...
void | setContext (Context context)
| Client applications should not call this method. More...
long | getTotalNumberOfResults ()
| Returns the total number of results for this request. More...
void | setTotalNumberOfResults (long totalNumberOfResults)
| Client applications should not call this method. More...

## Detailed Description

Provides a list of child Group objects that match the search parameters of the ClientService.getGroupsByName method.

These objects provide the group ID that is passed to the methods of other web services.

Also provides methods to help manage large result sets. For example, if the getMoreResultAvailable method returns true, then the next set of results can be retrieved by using the offset (index) provided by Context().

See also
  PagingOptions
  Context

## Member Function Documentation

List<Group> com.symantec.sepm.webservice.client.GroupResult.getGroups | ( |  | ) |

Returns a list of Group objects that provide the group IDs.

See also
  Group

Returns
  the list of Group objects

void com.symantec.sepm.webservice.client.GroupResult.setGroups | ( | List< Group > | groups | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  groups | list of Group objects

boolean com.symantec.sepm.webservice.client.GroupResult.getMoreResultsAvailable | ( |  | ) |

Indicates whether more results are available than could be returned for this request.

See also
  PagingOptions

If true, call Context to retrieve more results.

See also
  Context

Returns
  the boolean value that indicates whether more results are available for this request

void com.symantec.sepm.webservice.client.GroupResult.setMoreResultsAvailable | ( | boolean | moreResultsAvailable | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  moreResultsAvailable | the boolean value that indicates whether more results are available for this request

Context com.symantec.sepm.webservice.client.GroupResult.getContext | ( |  | ) |

Returns a context object that provides the starting index for the next set of results in the case of multiple pages of results.

Returns
  context object that provides the starting index for multiple sets of results

void com.symantec.sepm.webservice.client.GroupResult.setContext | ( | Context | context | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  context | the context to set

long com.symantec.sepm.webservice.client.GroupResult.getTotalNumberOfResults | ( |  | ) |

Returns the total number of results for this request.

Returns
  total number of results

void com.symantec.sepm.webservice.client.GroupResult.setTotalNumberOfResults | ( | long | totalNumberOfResults | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  totalNumberOfResults | total number of results